Whenever I reinstall PowerGui v3.5, like when I reinstall my pc, I’m pretty sure I’ll get an error running SharePoint cmdlets such as Get-SPSite. But running Get-SPSite inside the SharePoint Management Console will work just fine.

SharePoint 2010 runs on .Net 3.5 but PowerGui is running your cmdlet in .Net 4, hence the error. You can easily fix this. Find the config file at C:\Program Files (x86)\PowerGUI\ScriptEditor.exe.config

You only need to comment line 4 that says to support .Net 4.

After that run your cmdlet inside PowerGui and it will work.

There is 1 comment so far

Leave a Comment

Don't worry. We never use your email for spam.

Don't worry. We never use your email for spam.

Contact us

We're not around right now. But you can send us an email and we'll get back to you, asap.

Questions, issues or concerns? I'd love to help you!

Click ENTER to chat